using System;
using System.Collections.ObjectModel;
using TestDataBind.CatalogDataSetTableAdapters;

namespace TestDataBind
{
    public class ProductCollection
    {
        private ObservableCollection<CatalogDataSet.ProductRow> products;
        private DelegateCommand getDataCommand;

        public ObservableCollection<CatalogDataSet.ProductRow> Products
        {
            get { return products; }
        }
        
        public DelegateCommand GetDataCommand
        {
            get { return getDataCommand; }
        }

        public ProductCollection()
        {
            products = new ObservableCollection<CatalogDataSet.ProductRow>();
            getDataCommand = new DelegateCommand(GetData);
        }

        private void GetData()
        {
            products.Clear();

            //  ͒PɃf[^S擾܂B
            using (ProductTableAdapter ta = new ProductTableAdapter())
            {
                //  f[^̂߂ȂB
                foreach (CatalogDataSet.ProductRow r in ta.GetData())
                {
                    products.Add(r);
                }
            }
        }
    }
}
